Subject: Re: Beneficial Nematodes - Inexpensive Sources?

From: [email-masked] (Meredith Morris-Babb)
Date: Thu, 29 Feb 96 18:33:29 GMT

> [email-masked](James  Mattozzi) wrote:
>
>>Can anyone recommend a good, inexpensive beneficial nematode for grubs?
>
>>I have the Gardens Alive catalog and their prices seem expensive.  Am I 
>>correct or are their prices inline?
>
>>                               Thanks,
In Article <[email-masked]>, [email-masked] wrote:>        
Jim  
>
>I spent about $15.00 at a local nursery last year for 200 grams of
>Bio-Safe, if that's any help.

You can also get it at your local pet food store.  the same nematodes that
work on flea eggs and larvae work wonders in the garden.

meredith, East TN, Zone 7, USA